package com.inca.npbusi.zx.websacon;

import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.DBColumnDisplayInfo;
import com.inca.np.gui.mde.CDetailModel;
import com.inca.np.gui.mde.CMdeModel;
import com.inca.np.gui.ste.CSteModel;
import com.inca.np.util.DecimalHelper;
import java.awt.Color;
import java.awt.Component;
import javax.swing.JTable;
import javax.swing.table.TableColumn;
import javax.swing.table.TableColumnModel;

public class Web_sa_con_detail extends CDetailModel {
   private int a = 0;

   public Web_sa_con_detail(CFrame var1, CMdeModel var2) {
      super(var1, "网上订货细单", var2);
   }

   public String getTablename() {
      return "web_sa_con_dtl_v";
   }

   public String getSaveCommandString() {
      return null;
   }

   protected String getOtherWheres() {
      return "nvl(fhgoodsqty,0)<>nvl(goodsqty,0) and nvl(creflag,0) <>1";
   }

   protected void on_itemvaluechange(int var1, String var2, String var3) {
      if (var2.trim().equals("approvenum")) {
         String var4 = this.getItemValue(var1, "goodsqty");
         if (DecimalHelper.comparaDecimal(";", var3) >= 0) {
            this.setItemValue(var1, "approvenum", "");
            this.getDBtableModel().getRecordThunk(var1).setSaveresult(-1, "审核数量必须大于0");
         } else if (DecimalHelper.comparaDecimal(var4, var3) < 0) {
            this.setItemValue(var1, "approvenum", "");
            this.getDBtableModel().getRecordThunk(var1).setSaveresult(-1, "审核数量必须小于或等于当前订单数量");
         }
      }

      super.on_itemvaluechange(var1, var2, var3);
   }

   public void recreateDBModel() {
      super.recreateDBModel();

      for(int var1 = 0; var1 < this.tablecolumns.length; ++var1) {
         if ("selectflag".equals(this.tablecolumns[var1])) {
            this.a = var1;
            break;
         }
      }

      TableColumnModel var5 = this.table.getColumnModel();

      for(int var2 = 0; var2 < var5.getColumnCount(); ++var2) {
         TableColumn var3 = var5.getColumn(var2);
         DBColumnDisplayInfo var4;
         if (!(var4 = (DBColumnDisplayInfo)this.formcolumndisplayinfos.elementAt(var3.getModelIndex())).getColtype().equals("行号")) {
            var3.setCellRenderer(new a(var4));
         }
      }

   }

   public void on_doubleclick(int var1, int var2) {
      CSteModel var3;
      String var4 = (var3 = this.mdemodel.getMasterModel()).getItemValue(var3.getRow(), "usestatus");
      var3.getItemValue(var3.getRow(), "storageid");
      String var5 = this.getItemValue(var1, "approvenum");
      if (DecimalHelper.comparaDecimal("1", var4) > 0) {
         this.infoMessage("提示", "临时单据不能生成销售订单");
      } else if (!var5.trim().isEmpty() && DecimalHelper.comparaDecimal("0", var5) < 0) {
         if (this.getItemValue(var1, "selectflag").trim().equals("1")) {
            var4 = "0";
         } else {
            var4 = "1";
         }

         this.setItemValue(var1, "selectflag", var4);
         Web_sa_con_detail var8 = this;
         boolean var9 = true;

         for(int var6 = 0; var6 < var8.getRowCount(); ++var6) {
            if (var8.getItemValue(var6, "selectflag").trim().equals("1")) {
               var9 = false;
            }
         }

         if (var9) {
            var3.setItemValue(var3.getRow(), "selectflag", "0");
         } else {
            var3.setItemValue(var3.getRow(), "selectflag", "1");
         }

         super.on_doubleclick(var1, var2);
      } else {
         this.infoMessage("提示", "请检查当前单据审批数量");
         super.on_doubleclick(var1, var2);
      }
   }

   protected String getEditablecolumns(int var1) {
      String var4 = "notColumn";
      CSteModel var2;
      int var3 = (var2 = this.mdemodel.getMasterModel()).getRow();
      String var5;
      if ((var5 = var2.getItemValue(var3, "usestatus")).trim().equals("1") || var5.trim().equals("6")) {
         var4 = "approvenum";
      }

      return var4;
   }

   protected void on_retrieved() {
      CSteModel var1 = this.mdemodel.getMasterModel();
      int var2 = this.getRowCount();
      int var3 = var1.getRow();
      int var4;
      String var5;
      if (var1.getItemValue(var3, "usestatus").trim().equals("1")) {
         for(var4 = 0; var4 < this.getRowCount(); ++var4) {
            var5 = this.getItemValue(var4, "approvenum");
            String var6 = this.getItemValue(var4, "goodsqty");
            if (DecimalHelper.comparaDecimal("0", var6) < 0 && var5.trim().isEmpty()) {
               this.setItemValue(var4, "approvenum", var6);
               var1.setdbStatus(var3, 2);
            }
         }
      }

      if (var2 > 0) {
         for(var4 = 0; var4 < var2; ++var4) {
            if ((var5 = this.getItemValue(var4, "selectflag")) == null || var5.trim().isEmpty()) {
               this.setItemValue(var4, "selectflag", "0");
               this.setdbStatus(var4, 0);
            }
         }
      }

      super.on_retrieved();
   }

   class a extends CSteModel.PlainTablecellRender {
      private static final long serialVersionUID = 8001319514320264076L;

      public a(DBColumnDisplayInfo var2) {
         super(Web_sa_con_detail.this, var2);
      }

      public final Component getTableCellRendererComponent(JTable var1, Object var2, boolean var3, boolean var4, int var5, int var6) {
         Component var8 = super.getTableCellRendererComponent(var1, var2, var3, var4, var5, var6);
         if (var5 >= Web_sa_con_detail.this.getRowCount()) {
            return var8;
         } else {
            if ("1".equals(var1.getValueAt(var5, Web_sa_con_detail.this.a))) {
               var8.setBackground(var1.getSelectionBackground());
            } else {
               Color var7;
               if ((var7 = Web_sa_con_detail.this.getCellColor(var5, var6)) == null) {
                  var8.setForeground(Color.BLACK);
               } else {
                  var8.setForeground(var7);
               }
            }

            return var8;
         }
      }
   }
}
